Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.textControlEnablement.model
Interface VTTextControlEnablementPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTTextControlEnablementPackageImpl

    public interface VTTextControlEnablementPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  1.5
See Also:
  `VTTextControlEnablementFactory`

Nested Class Summary
`static interface` | `VTTextControlEnablementPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VTTextControlEnablementPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY` The meta object id for the ' `Style Property`' class.
`static int` | `TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY__RENDER_DISABLE_AS_EDITABLE` The feature id for the 'Render Disable As Editable' attribute.
`static int` | `TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Style Property' class.

Method Summary
`VTTextControlEnablementFactory` | `getTextControlEnablementFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getTextControlEnablementStyleProperty_RenderDisableAsEditable()` Returns the meta object for the attribute ' `Render Disable As Editable`'.
`org.eclipse.emf.ecore.EClass` | `getTextControlEnablementStyleProperty()` Returns the meta object for class ' `Style Property`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTTextControlEnablementPackage eINSTANCE

  The singleton instance of the package.

### TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY

    static final int TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY

  The meta object id for the ' `Style Property`' class.

  See Also:
    `VTTextControlEnablementStylePropertyImpl`, `VTTextControlEnablementPackageImpl.getTextControlEnablementStyleProperty()`, Constant Field Values

### TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY__RENDER_DISABLE_AS_EDITABLE

    static final int TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY__RENDER_DISABLE_AS_EDITABLE

  The feature id for the 'Render Disable As Editable' attribute.

  See Also:
    Constant Field Values

### TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY_FEATURE_COUNT

    static final int TEXT_CONTROL_ENABLEMENT_STYLE_PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Style Property' class.

  See Also:
    Constant Field Values

Method Detail

### getTextControlEnablementStyleProperty

    org.eclipse.emf.ecore.EClass getTextControlEnablementStyleProperty()

  Returns the meta object for class ' `Style Property`'.

  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTTextControlEnablementStyleProperty`

### getTextControlEnablementStyleProperty_RenderDisableAsEditable

    org.eclipse.emf.ecore.EAttribute getTextControlEnablementStyleProperty_RenderDisableAsEditable()

  Returns the meta object for the attribute ' `Render Disable As Editable`'.

  Returns:
    the meta object for the attribute 'Render Disable As Editable'.
  See Also:
    `VTTextControlEnablementStyleProperty.isRenderDisableAsEditable()`, `getTextControlEnablementStyleProperty()`

### getTextControlEnablementFactory

    VTTextControlEnablementFactory getTextControlEnablementFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.